<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
$db = new SQLite3('./api/.db.db');

$db->exec("CREATE TABLE IF NOT EXISTS dns(id INTEGER PRIMARY KEY NOT NULL, title VARCHAR(50), url VARCHAR(50))");
$res = $db->query('SELECT * FROM dns');

if(isset($_GET['delete'])){
$db->exec("DELETE FROM dns WHERE id=".$_GET['delete']);
$db->close();
header("Location: dns.php");

}

include ('includes/header.php');
?>

<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">
	<link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
</head>
<style>
body {
	background-color: #343a40;
}
input[type=text] {
  background-color: #3CBC8D;
  color: white;
}
.box {
  background: #ffffff;
  color: #ffffff;
  width: 250px;
  padding: 10px;
  margin: 1em auto;
}
p {
  margin: 1.5em 0;
  padding: 0;
}
input[type="checkbox"] {
  visibility: hidden;
}
label {
  cursor: pointer;
}
input[type="checkbox"] + label:before {
  border: 1px solid #ffffff;
  content: "\00a0";
  display: inline-block;
  font: 16px/1em sans-serif;
  height: 16px;
  margin: 0 .25em 0 0;
  padding: 0;
  vertical-align: top;
  width: 16px;
}
input[type="checkbox"]:checked + label:before {
  background: #fff;
  color: #333;
  content: "\2713";
  text-align: center;
}
input[type="checkbox"]:checked + label:after {
  font-weight: bold;
}

input[type="checkbox"]:focus + label::before {
    outline: rgb(59, 153, 252) auto 5px;
}


</style>
<body>

<div class="wrapper ">
<p class="m-0 text-center text-white small"></p>

<div class="main-panel">
      <div class="content">
        <div class="container-fluid">

    <div class="modal fade" id="confirm-delete" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h2>Confirm</h2>
                </div>
                <div class="modal-body">
                    Do you really want to delete?
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
                    <a class="btn btn-danger btn-ok">Delete</a>
                </div>
            </div>
        </div>
    </div>

	<div id="main">
   <br><h2>&nbsp;&nbsp;DNS</h2>
   &nbsp;&nbsp;&nbsp;&nbsp;<a id="button"  href="./dns_create.php" class="btn btn-primary">Create</a><br>
     </div>
      <div class="card-body">
        <div class="table-responsive">
          <table class="table">
            <thead class=" text-primary">
                <tr>
                  <th>Id</th>
                  <th>Title</th>
                  <th>DNS</th>
				  <th>Edit</th>
                  <th>Delete</th>
                </tr>
              </thead>
			  <? while ($row = $res->fetchArray()) {?>
              <tbody class=" text-light">
                <tr>
                  <td><?=$row['id'] ?></td>
                  <td><?=$row['title'] ?></td>
                  <td><?=$row['url'] ?></td>
				  <td><a href="./dns_update.php?update=<?=$row['id'] ?>"><i class="fa fa-pencil-square-o" style="font-size:24px;color:blue"></i></a></td>
                  <td><a href="#" data-href="./dns.php?delete=<?=$row['id'] ?>" data-toggle="modal" data-target="#confirm-delete"><i class="fa fa-trash-o" style="font-size:24px;color:red"></i></a></td>
                </tr>
              </tbody>
			  <? }?>
            </table>
          </div>
		</div>

</div>
    <br><br><br>
<?php include ('includes/footer.php');?>
    <script>
$('#confirm-delete').on('show.bs.modal', function(e) {
    $(this).find('.btn-ok').attr('href', $(e.relatedTarget).data('href'));
});
</script>
</body>

</html>